// pages/orderClassDetail/orderClassDetail.js
const app = getApp()
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: null,
    cid: null,
    order: {},
    items: [],
    images: [],
    item: null

  },

  showImg: function () {
    let list = this.data.images;
    if (list.length == 0) {
      wx.showToast({
        title: '未上传合同',
        icon: 'none',
      })
      return
    }
    wx.previewImage({
      current: list[0],
      urls: list,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let id = options.id
    let cid = options.cid
    this.setData({ id: id, cid: cid })

    const urls = urlDef.urls;
    let params = {
      'q.orderId': id
    }
    util.apiPost(urls.get_order, params).then(rs => {
      if (rs != null) {
        rs[0].payDate = this.renderTime(rs[0].payDate)
        this.setData({ items: rs, order: rs[0] })
        this.queryContract()
      }
    })
  },

  renderTime:function(date) {
    var dateee = new Date(date).toJSON();
    return new Date(+new Date(dateee) + 8 * 3600 * 1000).toISOString().replace(/T/g, ' ').replace(/\.[\d]{3}Z/, '') 
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  queryContract: function () {
    const urls = urlDef.urls;
    let params = {
      'q.orderId': this.data.cid
    }
    util.apiPost(urls.get_contract_images, params).then(rs => {
      if (rs != null) {
        let images = [];
        if (rs && rs.length > 0) {
          rs.forEach(r => {
            images.push(r.imgUrl);
          });
          this.setData({ images: images })
        }
      }
    })
  }
})