// pages/queue/queue.js
const util = require("../../utils/util")
const urlDef = require("../../utils/urls")
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ShowBtn: false,
    planId: undefined,
    orgId: undefined,
    waitDate: undefined,
    list: [
    ],
    loading: '上拉加载',
    flag: 0,
    pageNum: 0,
    hasNextPage: true,
    btnFlag: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({ planId: options.planId, orgId: options.orgId, waitDate: options.visitDate })
    this.queryList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
   
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.hasNextPage) {
      let pn = this.data.pageNum
      this.setData({ loading: '加载中', 'pageNum': ++pn })
      this.queryList()
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  doQueueUp: function () {
    wx.showLoading({
      title: '处理中',
      mask: true
    })
    const urls = urlDef.urls;
    let stu = wx.getStorageSync('student');
    this.setData({studentId: stu.studentId})
    util.apiPost(urls.queueUp, this.data).then(rs => {
      wx.hideLoading({});
      if(rs.message ) {
        wx.showToast({
          title: rs.message,
          icon: 'none'
        })
      }else{
        wx.showToast({
          title: '排队成功',
          icon: 'success'
        })
        let pages = getCurrentPages();
        let prevPage = pages[pages.length - 2]
        prevPage.setData({
          refreshFlag: 1
        })
        this.setData({
          list:[]
        })
        this.queryList()
      }
    })
  },
  queryList: function () {
    const urls = urlDef.urls;
    let params = { 'q.orgId': this.data.orgId, 'q.visitDate': this.data.waitDate, 'q.planId': this.data.planId }
    params.pageNum = this.data.pageNum
    util.apiPost(urls.queue_list, params).then(rs => {
      let list = rs.list
      if(list.length > 0){
        let stuId = wx.getStorageSync('student').studentId
        for(var i in list){
          list[i].name = list[i].name.substring(0,1)+ "*"+list[i].name.substring(list[i].name.length -1,list[i].name.length)
          if(list[i].studentId == stuId){
            this.setData({
              btnFlag: false
            })
          }
        }
      }

      this.setData({
        'hasNextPage': rs.hasNextPage,
        'loading': rs.hasNextPage ? '上拉加载' : '没有更多数据',
        'list': this.data.list.concat(list),
        ShowBtn: true
      })
    })
  },
})